> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancelar um relato de infração

> Use este endpoint para cancelar um relato de infração que não é mais
válido. Este endpoint é usado para cancelar infrações relatadas pelo seu
próprio PSP.


**Notas:**

- O cancelamento só é permitido para relatos com status OPEN ou
ACKNOWLEDGED.

- Relatos cancelados não podem ser reabertos nem modificados.

- O motivo do cancelamento deve ser informado para fins de auditoria.



## OpenAPI

````yaml pt/openapi/v3-current/indirect-pix.yaml POST /v1/dict/infraction-reports/{infraction_id}/cancel
openapi: 3.0.3
info:
  title: Plugin BR Pix Indireto - API Completa
  description: |
    API completa para o sistema brasileiro de pagamentos instantâneos Pix,
    incluindo operações de dicionário de chaves Pix, geração/decodificação de
    QR Code, transações e limites de transações.
  version: 1.0.0
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/dict/infraction-reports/{infraction_id}/cancel:
    post:
      tags:
        - MED API
      summary: Cancelar um relato de infração
      description: |-
        Use este endpoint para cancelar um relato de infração que não é mais
        válido. Este endpoint é usado para cancelar infrações relatadas pelo seu
        próprio PSP.


        **Notas:**

        - O cancelamento só é permitido para relatos com status OPEN ou
        ACKNOWLEDGED.

        - Relatos cancelados não podem ser reabertos nem modificados.

        - O motivo do cancelamento deve ser informado para fins de auditoria.
      parameters:
        - $ref: '#/components/parameters/InfractionId'
      responses:
        '200':
          description: Relato de infração cancelado com sucesso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InfractionReportObject'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0001:
                  $ref: '#/components/examples/ErrorPIX0001'
                ErrorPIX0218:
                  $ref: '#/components/examples/ErrorPIX0218'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0200:
                  $ref: '#/components/examples/ErrorPIX0200'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0206:
                  $ref: '#/components/examples/ErrorPIX0206'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0000:
                  $ref: '#/components/examples/ErrorPIX0000'
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX1000:
                  $ref: '#/components/examples/ErrorPIX1000'
                ErrorPIX1007:
                  $ref: '#/components/examples/ErrorPIX1007'
                ErrorPIX1099:
                  $ref: '#/components/examples/ErrorPIX1099'
      deprecated: false
      security:
        - bearerAuth: []
components:
  parameters:
    InfractionId:
      name: infraction_id
      in: path
      description: Identificador único do relatório de infração (formato UUID).
      required: true
      example: 019c96a0-0c98-799e-9135-4613ca469ad8
      schema:
        type: string
  schemas:
    InfractionReportObject:
      type: object
      properties:
        id:
          type: string
          description: Identificador único.
          example: 019c96a0-0c98-799e-9135-4613ca469ad8
        transactionId:
          type: string
          description: Identificador da transação SPI.
          example: E12345678202411241430ABCDEFGHIJK
        status:
          type: string
          description: Status atual.
          enum:
            - OPEN
            - ACKNOWLEDGED
            - CLOSED
            - CANCELLED
          example: OPEN
        reason:
          type: string
          description: Motivo da infração.
          example: REFUND_REQUEST
        reporterParticipant:
          type: string
          description: ISPB do participante reportador.
          example: '12345678'
        counterpartyParticipant:
          type: string
          description: ISPB da contraparte.
          example: '87654321'
        analysisResult:
          type: string
          description: Resultado da análise do BACEN.
          example: AGREED
        createdAt:
          type: string
          format: date-time
          example: '2024-01-15T10:30:00Z'
        updatedAt:
          type: string
          format: date-time
          example: '2024-01-15T10:30:00Z'
    ErrorFormat:
      type: object
      description: A mensagem de erro da resposta.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: Um identificador único e estável para o erro.
        title:
          type: string
          description: Um breve resumo do problema.
        message:
          type: string
          description: Orientação detalhada para resolver o erro.
  examples:
    ErrorPIX0001:
      summary: Missing Headers in Request
      value:
        code: PIX-0001
        title: Missing Headers in Request
        message: >-
          Your request is missing one or more required header params. Please
          refer to the documentation to ensure all necessary header params are
          included in your request.
    ErrorPIX0218:
      summary: Cancellation Reason Too Long
      value:
        code: PIX-0218
        title: Cancellation Reason Too Long
        message: >-
          The cancellation reason exceeds the maximum allowed length of 500
          characters.
    ErrorPIX0200:
      summary: Infraction Report Not Found
      value:
        code: PIX-0200
        title: Infraction Report Not Found
        message: The infraction report was not found.
    ErrorPIX0206:
      summary: Infraction Report Cannot Be Cancelled
      value:
        code: PIX-0206
        title: Infraction Report Cannot Be Cancelled
        message: The infraction report cannot be cancelled in current status.
    ErrorPIX0000:
      summary: Internal Server Error
      value:
        code: PIX-0000
        title: Internal Server Error
        message: The server encountered an unexpected error. Please try again later.
    ErrorPIX1000:
      summary: Provider Connection Error
      value:
        code: PIX-1000
        title: Provider Connection Error
        message: Failed to connect to provider.
    ErrorPIX1007:
      summary: Provider Internal Error
      value:
        code: PIX-1007
        title: Provider Internal Error
        message: Provider returned an internal error.
    ErrorPIX1099:
      summary: Provider Unmapped Error
      value:
        code: PIX-1099
        title: Provider Unmapped Error
        message: Provider returned an unmapped error.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````